Summary:        Automated hinting utility for TrueType fonts
Name:           ttfautohint
Version:        1.8.4
Release:        3%{?dist}
License:        FTL or GPLv2
URL:            http://www.freetype.org/ttfautohint
Source0:        http://download.savannah.gnu.org/releases/freetype/%{name}-%{version}.tar.gz

BuildRequires:  make gcc gcc-c++
BuildRequires:  freetype-devel harfbuzz-devel pkgconfig

Provides:       bundled(gnulib)
Requires:       %{name}-libs = %{version}-%{release}



%description
ttfautohint provides a 99% automated hinting process and a platform for
finely hand-hinting the last 1%. It is ideal for web fonts and supports
many scripts: Latin, Greek, Arabic, Devanagari, Hebrew, Khmer, Myanmar,
Thai, and many more.

%package        libs
Summary:        Library for %{name}

%description    libs
This package provides a library for %{name}.

%package        devel
Summary:        Development files for %{name}-libs
Requires:       %{name}-libs = %{version}-%{release}

%description    devel
This package provides development files for %{name}.


%prep
%autosetup



%build
%configure --disable-silent-rules --disable-static --without-qt --without-doc
%make_build



%install
%make_install

find %{buildroot} -name '*.la' -delete



%files
%license COPYING
%doc AUTHORS NEWS README THANKS TODO *.TXT
%{_bindir}/ttfautohint

%files libs
%license COPYING
%{_libdir}/libttfautohint.so.1*

%files devel
%license COPYING
%{_includedir}/ttfautohint*.h
%{_libdir}/libttfautohint.so
%{_libdir}/pkgconfig/ttfautohint.pc



%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.8.4-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Nov 23 2022 cunshunxia <cunshunxia@tencent.com> - 1.8.4-1
- initial build
